@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  scroll-behavior: smooth;
}

.main {
  width: 100vw;
  height: 100vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url('../images/bg_login_mycert.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: flex-start;
  /* align-items: center; */
  /* padding-left: 15%; */
}

.input-box {
  width: 50px;
  padding: 4px;
  background: none;
  border-radius: 0;
  box-shadow: none;
  /* color: #fff; */
  background-color: #fff;
}

.input-box header {
  font-size: 30px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 20px;
  color: #fff;
}

p {
  font-size: 12px;
}

.text-center {
  text-align: center;
  margin-bottom: 20px;
  /* color: #fff; */
}

.input-field {
  display: flex;
  flex-direction: column;
  position: relative;
  margin-bottom: 20px;
}

.input {
  height: 45px;
  width: 100%;
  background: transparent;
  border: none;
  border-bottom: 1px solid rgb(255, 255, 255);
  color: #fff;
  outline: none;
}

.input-field label {
  position: absolute;
  top: 10px;
  left: 0;
  pointer-events: none;
  transition: 0.3s;
  color: rgb(255, 255, 255);
}

.input:focus ~ label,
.input:valid ~ label {
  top: -12px;
  font-size: 13px;
  color: #fff;
}

.input:focus,
.input:valid {
  border-bottom: 1px solid #fff;
}

.submit {
  border: none;
  height: 45px;
  background: #f0f0f0;
  color: #255f9c;
  border-radius: 5px;
  transition: 0.3s;
  cursor: pointer;
}

.submit:hover {
  background: #255f9c;
  color: #fff;
}

.signin {
  text-align: center;
  font-size: small;
  margin-top: 25px;
  color: #fff;
}

span a {
  font-weight: 700;
  text-decoration: none;
  color: #fff;
  transition: 0.3s;
}

span a:hover {
  text-decoration: underline;
  color: #fff;
}

.forgot-password {
  text-align: right;
}

.forgot-password span a {
  font-size: small;
  font-weight: 100;
}

.logo-container {
  margin-bottom: 10px;
}

.logo {
  max-width: 300px;
  height: auto;
}

/* Line between logo & Log Masuk */
.divider {
  border-bottom: 2px solid;
  color: #fff; /* White text color */
}

/* START USER REGISTRATION */

.logo-container {
  margin-bottom: 10px;
}

.logo {
  max-width: 300px;
  height: auto;
}

/* Line between logo & Log Masuk */

.logo-container-registration {
  margin-bottom: 10px;
}

.logo-registration {
  max-width: 200px;
  height: auto;
}

.divider-registration {
  border-bottom: 2px solid;
  color: #fff; /* White text color */
}
.input-box-registration {
  width: 600px;
  padding: 40px 30px;
  background: none;
  border-radius: 0;
  box-shadow: none;
  color: #fff;
}

.input-box-registration header {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 50px;
  color: #fff;
}
.image-select-container {
  display: flex;
  justify-content: space-between;
  gap: 15px;
  margin: 20px 0;
}

.image-box {
  position: relative;
  width: 200px;
  height: 200px;
  border: 2px solid transparent;
  border-radius: 10px;
  overflow: hidden;
  cursor: pointer;
  transition: border 0.3s;
}

.image-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: sepia(90%) hue-rotate(190deg) saturate(300%) brightness(90%) contrast(130%);
  transition: filter 0.1s; /* Smooth transition for the filter effect */
}

.image-box.selected img {
  filter: none; /* No filter on the selected image */
}

.image-box.selected {
  border-color: green;
}

.check-icon {
  position: absolute;
  bottom: 5px;
  right: 5px;
  background-color: green;
  color: white;
  border-radius: 50%;
  width: 22px;
  height: 22px;
  display: none;
  justify-content: center;
  align-items: center;
  font-size: 14px;
}

.image-box.selected .check-icon {
  display: flex;
}

.input-field-nb {
  display: flex;
  gap: 10px;
  /* justify-content: center;  */
}

.back,
.next {
  border: none;
  height: 45px;
  background: #f0f0f0;
  color: #255f9c;
  border-radius: 5px;
  transition: 0.3s;
  cursor: pointer;
  text-align: center;
  padding: 0 50px;
}

.back:hover,
.next:hover {
  background: #255f9c;
  color: #fff;
}
/* END USER REGISTRATION */

/* START CORPORATE */
.input-box-corporate {
  width: 600px;
  padding: 40px 30px;
  background: none;
  border-radius: 0;
  box-shadow: none;
  color: #fff;
}

.input-box-corporate header {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 50px;
  color: #fff;
}

/* Dropdown */

option {
  background-color: #fff;
  color: #255f9c;
}

option:hover {
  background-color: #255f9c;
  color: #fff;
}
/* END CORPORATE */

/* Chrome, Safari, Edge, Opera */
input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type='number'] {
  -moz-appearance: textfield;
}

.wow {
  visibility: hidden;
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .main {
    padding-left: 5%;
  }

  .input-box {
    width: 100%;
    padding: 30px 35px;
  }

  .input-box-registration {
    width: 100%;
    padding: 30px 60px;
  }

  .image-select-container {
    flex-direction: column; /* Stack image options vertically */
    align-items: center; /* Center image options */
  }

  .image-box {
    width: 190px;
    height: 190px;
  }

  .input-box-corporate {
    width: 90%;
    padding: 30px 20px;
  }
}

